The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the NMS User Details at Sensor

Prev Next

This URL gets the NMS user details.

Resource URL

GET / sensor/<sensor_id> /nmsuser/<nmsuser_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

nmsUserId

Id of the NMS user

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Mandatory

NMSUser

Contains the details of the NMS user

Object

Yes

Details of fields in NMSUser:

Field Name

Description

Data Type

Mandatory

userName

Name of the NMS user

String

Yes

authenticationKey

Authentication key for the NMS user

String

Yes

privateKey

Private key for the NMS user

String

Yes

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/nmsuser/20

Payload

None

Response

    {
       "userName": "user2",
       "authenticationKey": "admin123",
       "privateKey": "admin123"
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

1124

The Sensor is inactive

3

400

5401

FIPS enabled on Sensor

4

400

5110

Invalid user id